Subject: Trainer Candidate - George Sebastian
From: George Sebastian <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 21 May 2021 08:10:52 -0400

| | Tech Support Test

Name | George Sebastian
E-mail | [email-masked]
Phone Number | (+91) 8891416201
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I have my own 2/4 wheeler transport
Where do you currently live (area) | Cochin, Kerala

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | N/A | | |
Previous Employer 1 | Continental Ag | Internship | 26/02/2021 | 1200000
Previous Employer 2 | Liftek FZC | Operations Engineer | 05/05/2018 | 1224000

If Selected, how much time do you need to join? | 1 month

Please briefly describe your work experience specifically in training?

I have been the Quality management Representative of my organisation while i was working as an Operations Engineer. I used to give daily or weekly training to employees regarding HSE and other tool box talks.
Also, have given job specific training to new joiners, when they started as a fresher in the organisation.

Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | No
Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team. | The most difficult situation that i faced while working as a trainer was the language barrier for the audience. It was sometimes required to take additional efforts to give the training in multiple languages so that the target audience understood the message.
What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences) | Customer is always at the forefront in an organisation. A good customer service is when the needs of the customer is understood and the provided service matches the customer expectation. A great customer service is when the provided service is beyond the expectation of the customer. For example when a customer wants to buy a pencil, giving him/her a good quality pencil is good customer service but giving him/her a pencil which is sharpened, with assurance that it writes perfectly is great customer service.
What according to you makes you a good candidate for this position? | I think, Someone with excellent communication and people skills with experience dealing with customer demand will be a good match for the position.
On a scale of 1 - 5 please rate your fluency in spoken English | 5

| |